package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.AdamAccountParam;
import com.liquidnet.service.adam.entity.AdamAccount;

/**
 * <p>
 * 公司账户 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2020-10-13
 */
public interface IAdamAccountService {

    /**
     * select
     */
    AdamAccount selectById(String id);

    AdamAccount selectById(String id,String state);

    /**
     * select one
     */
    AdamAccount selectOne(AdamAccountParam param);

    /**
     * insert
     */
    int insert(AdamAccount param);

    /**
     * update
     */
    int updateById(AdamAccount param);


}
